﻿// Accord Imaging Library
// The Accord.NET Framework
// http://accord-framework.net
//
// Copyright © César Souza, 2009-2015
// cesarsouza at gmail.com
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Lesser General Public
//    License as published by the Free Software Foundation; either
//    version 2.1 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Lesser General Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public
//    License along with this library; if not, write to the Free Software
//    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//

namespace Accord.Imaging.Converters
{
    using System.Runtime.CompilerServices;
    using System.Drawing;

    /// <summary>
    ///  Contains classes and methods to convert between different image representations, 
    ///  such as between common images, numeric matrices and arrays.
    /// </summary>
    /// 
    /// <remarks>
    /// <para>
    ///   The image converters are able to convert to and from images defined as <c>byte</c>,
    ///   <c>double</c> and <c>float</c> multi-dimensional matrices, jagged matrices, and even
    ///   images represented as flat arrays. It is also possible to convert images defined as
    ///   series of individual pixel colors into <see cref="Bitmap"/>s, and back from those
    ///   <see cref="Bitmap"/>s into any of the aforementioned representations. Support for
    ///   AForge.NET's UnmanagedImage is also available.
    ///   </para>
    ///   
    /// <para>
    ///   The namespace class diagram is shown below. </para>
    ///   <img src="..\diagrams\classes\Accord.Imaging.Converters.png" />
    /// </remarks>
    ///   
    [CompilerGenerated]
    class NamespaceDoc
    {
    }
}
