﻿// Accord Math Library
// The Accord.NET Framework
// http://accord-framework.net
//
// Copyright © César Souza, 2009-2015
// cesarsouza at gmail.com
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Lesser General Public
//    License as published by the Free Software Foundation; either
//    version 2.1 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Lesser General Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public
//    License along with this library; if not, write to the Free Software
//    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//

namespace Accord.Math.Comparers
{
    using System;
    using System.Runtime.CompilerServices;

    /// <summary>
    ///   Comparison methods that can be used in sort 
    ///   algorithms such as <see cref="Array.Sort(System.Array)"/>.
    /// </summary>
    /// 
    /// <remarks>
    /// <para>
    ///  This namespace contains different methods for comparing elements. For
    ///  example, using the classes in this namespace makes it possible to sort
    ///  <see cref="ArrayComparer{T}">arrays of arrays</see>, <see cref="GeneralComparer">
    ///  sort arrays into any direction</see>, or perform <see cref="StableComparer{T}">
    ///  stable sorts</see>.
    ///  </para>
    ///  
    /// <para>
    ///   The namespace class diagram is shown below. </para>
    ///   <img src="..\diagrams\classes\Accord.Math.Comparers.png" />
    /// </remarks>
    /// 
    /// <seealso cref="Accord.Math"/>
    ///   
    [CompilerGenerated]
    class NamespaceDoc
    {
    }
}
